## mcstrans 0.2.11

=== man/Makefile ===
# Installation directories.
MAN8DIR ?= $(DESTDIR)/usr/share/man/man8

install:
	mkdir -p $(MAN8DIR)
	install -m 644 man8/*.8 $(MAN8DIR)

clean:
	-rm -f *~ \#*
	-rm -f man8/*~ man8/\#*

=== src/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SBINDIR ?= $(DESTDIR)/sbin
INITDIR ?= $(DESTDIR)/etc/rc.d/init.d

LIBVERSION = 0

LIBRARY_SRC=mcstrans_client.c
OBJS= $(patsubst %.c,%.o,$(LIBRARY_SRC))
PROG_SRC=mcstrans.c mcstransd.c
PROG_OBJS= $(patsubst %.c,%.o,$(PROG_SRC))
PROG=mcstransd
INITSCRIPT=mcstrans
CFLAGS ?= -Wall -W -Wundef -Wmissing-noreturn -Wmissing-format-attribute
override CFLAGS += -I../include -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64

all: $(PROG)

$(PROG): $(PROG_OBJS)
	$(CC) $(LDFLAGS) -pie -o $@ $^ -lselinux -lpthread -lcap

%.o:  %.c 
	$(CC) $(CFLAGS) -fPIE -c -o $@ $<

install: all
	test -d $(SBINDIR) || install -m 755 -d $(SBINDIR)
	install -m 755 $(PROG) $(SBINDIR)
	test -d $(INITDIR) || install -m 755 -d $(INITDIR)
	install -m 755 $(INITSCRIPT).init $(INITDIR)/$(INITSCRIPT)

clean: 
	-rm -f $(OBJS) $(LOBJS) $(TARGET) $(PROG) $(PROG_OBJS) *~ \#*

=== utils/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
BINDIR ?= $(PREFIX)/sbin

CFLAGS ?= -Wall
override CFLAGS += -I../include -D_GNU_SOURCE
LDLIBS += -L../src ../src/mcstrans.o -lselinux

TARGETS=$(patsubst %.c,%,$(wildcard *.c))

all: $(TARGETS) 

test: $(TARGETS) 
	python ./unittest.py

install: all
	-mkdir -p $(BINDIR)
	install -m 755 $(TARGETS) $(BINDIR)

clean:
	rm -f $(TARGETS) *.o *~ \#*

relabel:

## mcstrans 2.7

=== src/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
LIBDIR ?= $(PREFIX)/lib
SBINDIR ?= $(DESTDIR)/sbin
INITDIR ?= $(DESTDIR)/etc/rc.d/init.d
SYSTEMDDIR ?= $(DESTDIR)/usr/lib/systemd
LIBSEPOLA ?= $(LIBDIR)/libsepol.a

PROG_SRC=mcstrans.c  mcscolor.c  mcstransd.c  mls_level.c
PROG_OBJS= $(patsubst %.c,%.o,$(PROG_SRC))
PROG=mcstransd
INITSCRIPT=mcstrans
CFLAGS ?= -Wall -W -Wundef -Wmissing-noreturn -Wmissing-format-attribute
override CFLAGS += -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64

all: $(PROG)

$(PROG): $(PROG_OBJS)
	$(CC) $(LDFLAGS) -pie -o $@ $^ -lselinux -lcap -lpcre $(LIBSEPOLA)

%.o:  %.c 
	$(CC) $(CFLAGS) -fPIE -c -o $@ $<

install: all
	test -d $(SBINDIR) || install -m 755 -d $(SBINDIR)
	install -m 755 $(PROG) $(SBINDIR)
	test -d $(INITDIR) || install -m 755 -d $(INITDIR)
	install -m 755 $(INITSCRIPT).init $(INITDIR)/$(INITSCRIPT)
	test -d $(SYSTEMDDIR)/system || install -m 755 -d $(SYSTEMDDIR)/system
	install -m 644 mcstrans.service $(SYSTEMDDIR)/system/

clean: 
	-rm -f $(OBJS) $(LOBJS) $(TARGET) $(PROG) $(PROG_OBJS) *~ \#*

=== utils/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
LIBDIR ?= $(PREFIX)/lib
SBINDIR ?= $(PREFIX)/sbin
LIBSEPOLA ?= $(LIBDIR)/libsepol.a

CFLAGS ?= -Wall
override CFLAGS += -I../src -D_GNU_SOURCE
override LDLIBS += -lselinux -lpcre

TARGETS=$(patsubst %.c,%,$(sort $(wildcard *.c)))

all: $(TARGETS)

$(TARGETS): ../src/mcstrans.o ../src/mls_level.o $(LIBSEPOLA)

install: all
	-mkdir -p $(SBINDIR)
	install -m 755 $(TARGETS) $(SBINDIR)

test:
	./mlstrans-test-runner.py ../test/*.test

clean:
	rm -f $(TARGETS) *.o *~ \#*

relabel:

=== debian/changelog ===
mcstrans (2.7-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * Bump debhelper compatibility to 10
  * Bump Standards-Version to 4.1.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Sep 2017 00:13:50 +0200

mcstrans (2.7~rc3-2) experimental; urgency=medium

  * debian/rules: Drop commented override_dh_installinit target
  * debian/copyright: Update copyright file and convert to dep5
  * debian/control: Remove Manoj from the uploader list and add myself
    instead. Thanks to him for all the work in the past.

 -- Laurent Bigonville <bigon@debian.org>  Wed, 16 Aug 2017 16:27:33 +0200

mcstrans (2.7~rc3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate
    - Rename source package from policycoreutils to mcstrans, drop all
      references to the packages that are not built from this src package
    - Drop all the patches, they are either merged upstream or not releavant
      anymore since policycoreutils has been split in smaller components
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/watch: Add support for rc releases and use macros
  * debian/control: Bump Standards-Version to 4.0.0 (no further changes)
  * debian/mcstrans.examples: Fix installation of the example files
  * debian/control: Drop duplicate Priority field to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Sat, 24 Jun 2017 13:18:45 +0200

policycoreutils (2.6-3) unstable; urgency=medium

  * Team upload.
  * d/p/Handle-python-error-returns-correctly.patch: Fix a bug that was
    preventing to override file contexts already defined in the policy

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Jan 2017 00:56:57 +0100

policycoreutils (2.6-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 28 Nov 2016 13:19:15 +0100

policycoreutils (2.6-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Drop d/p/Dont_use_subprocess_getstatusoutput_in_Python_2_code.patch,
      d/p/sandbox-dbus-run-session.patch, d/p/CVE-2016-7545.patch,
      d/p/sandbox-gobject-gtk.patch, applied upstream
    - Refreshed the other patches
    - debian/control: Bump {build-}dependencies to match the new release
    - debian/control: Drop libapol-dev and libqpol-dev build-dependencies
    - debian/python-sepolicy.install: Drop .so file, this is now a pure python
      module.
    - Install new restorecon_xattr executable and manpage
  * debian/control: Drop libcgroup-dev build-dependency, no longer used
  * debian/gbp.conf: Rename git-buildpackage section to buildpackage
  * Switch to python3, disable system-config-selinux for now as it doesn't
    support that version.
  * d/p/policycoreutils-Use-new-sepolicy-icon-in-.desktop-fi.patch: Use new
    icon for sepolicy (From upstream)
  * d/p/Sandbox-Use-next-over-the-sepolicy.info-result.patch,
    d/p/policycoreutils-Make-sepolicy-work-with-python3.patch,
    d/p/policycoreutils-Use-GObject-introspection-binding-in.patch Add some
    fixes for python3 (From upstream)
  * debian/control: Add lsb-base dependency to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Wed, 23 Nov 2016 01:15:04 +0100

policycoreutils (2.5-3) unstable; urgency=medium

  * Team upload.
  * d/p/Dont_use_subprocess_getstatusoutput_in_Python_2_code.patch: Make the
    python code of chcat and sandbox compatible with both python2 and python3
  * debian/NEWS, debian/control: Fix a typo
  * Merge Fedora changes to the selinux-autorelabel systemd scripts and units.
    We now use a selinux-autorelabel.target and a generator that override the
    default.target in case we need to relabel the filesystems.
  * debian/patches/sandbox-dbus-run-session.patch: Use dbus-run-session
    instead of dbus-launch when available (Closes: #836289)
  * debian/patches/CVE-2016-7545.patch: create a new session for sandboxed
    processes (Closes: #838599 CVE-2016-7545)
  * debian/patches/sandbox-gobject-gtk.patch: Use GTK+ GObject introspection
    bindings instead of old pygtk2 ones
  * debian/patches/sandbox-x-window-manager.patch: Use system default window
    manager instead of openbox

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Sep 2016 22:30:28 +0200

policycoreutils (2.5-2) unstable; urgency=medium

  * Team upload.
  * Remove the 'debian-' prefix from the selinux-autorelabel LSB script and
    systemd services, not sure why I added it in the first place…

 -- Laurent Bigonville <bigon@debian.org>  Fri, 13 May 2016 22:49:27 +0200

policycoreutils (2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Drop d/p/0001-legacy.patch, d/p/0016-open-init-pty: new open_init_pty
      has been merged upstream
    - debian/patches/0023-sepolicy-help-path.patch: Refreshed
    - debian/control: Bump {build-}dependencies to match the new release
    - Fix newrole to not drop capabilities from the bounding set. (Closes:
      #813604)
    - Fix crash when python-audit is not installed (Closes: #734806)
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/control: Update the Vcs-* URL's to please lintian (again)
  * debian/NEWS: Remove duplicate word, thanks to lintian

 -- Laurent Bigonville <bigon@debian.org>  Tue, 26 Apr 2016 14:54:13 +0200

policycoreutils (2.4-4) unstable; urgency=medium

  * Team upload.
  * Drop d/p/0009-find-does-not-have-a-context-switch.patch, findutils now
    supports the -context switch, also be sure we have the correct version
    installed.
  * Create the /usr/sbin/load_policy symlink in the postinst script to support
    the everything-in-usr directories scheme. (Closes: #767930)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 24 Jan 2016 12:12:53 +0100

policycoreutils (2.4-3) unstable; urgency=medium

  * Team upload.
  * debian/gbp.conf: Sign tags by default


=== debian/control ===
Source: mcstrans
VCS-Git: https://anonscm.debian.org/git/selinux/mcstrans.git
VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/mcstrans.git;a=summary
Priority: extra
Section: utils
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Russell Coker <russell@coker.com.au>
Standards-Version: 4.1.0
Build-Depends: debhelper (>= 10),
               dh-systemd (>= 1.4),
               libcap-dev,
               libpcre3-dev,
               libselinux1-dev (>= 2.7),
               libsepol1-dev (>= 2.7),
Homepage: http://userspace.selinuxproject.org/

Package: mcstrans
Architecture: linux-any
Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Description: SELinux core policy utilities (mcstrans utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains mcstransd to map a machine readable sensitivity label to
 a human readable form.  The sensitivity label is comprised of a sensitivity
 level (always s0 for MCS and anything from s0 to s15 for MLS) and a set of
 categories.  A ranged sensitivity label will have a low level and a high level
 where the high level will dominate the low level.  Categories are numbered from
 c0 to c1023.  Names such as s0 and c1023 and not easily readable by humans, so
 mcstransd translated them to human readable labels such as SystemLow and
 SystemHigh.

## mcstrans 2.8

=== man/Makefile ===
# Installation directories.
PREFIX ?= /usr
MAN8DIR ?= $(PREFIX)/share/man/man8

all:

install: all
	mkdir -p $(DESTDIR)$(MAN8DIR)
	install -m 644 man8/*.8 $(DESTDIR)$(MAN8DIR)

clean:
	-rm -f *~ \#*
	-rm -f man8/*~ man8/\#*

=== debian/changelog ===
mcstrans (2.8-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/control: Point Vcs-* fields to new (salsa) machine
  * debian/rules: Adjust to match upstream changes to the build system
  * debian/control: Drop dh-systemd build-dependency, not needed with dh 10
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)
  * debian/rules: Use dh_missing --list-missing instead of dh_install
  * debian/control: Bump the priority to optional, the extra priority is
    deprecated
  * Add the Built-Using field as mcstrans is statically linked against
    libsepol

 -- Laurent Bigonville <bigon@debian.org>  Tue, 29 May 2018 09:58:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: mcstrans
-VCS-Git: https://anonscm.debian.org/git/selinux/mcstrans.git
-VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/mcstrans.git;a=summary
-Priority: extra
+VCS-Git: https://salsa.debian.org/selinux-team/mcstrans.git
+VCS-Browser: https://salsa.debian.org/selinux-team/mcstrans
+Priority: optional
 Section: utils
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 10),
-               dh-systemd (>= 1.4),
                libcap-dev,
                libpcre3-dev,
-               libselinux1-dev (>= 2.7),
-               libsepol1-dev (>= 2.7),
+               libselinux1-dev (>= 2.8),
+               libsepol1-dev (>= 2.8),
 Homepage: http://userspace.selinuxproject.org/
 
 Package: mcstrans
@@ -20,6 +19,7 @@
 Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
 Breaks: policycoreutils (<< 2.4)
 Replaces: policycoreutils (<< 2.4)
+Built-Using: ${Built-Using}
 Description: SELinux core policy utilities (mcstrans utilities)
  Security-enhanced Linux is a patch of the Linux® kernel and a number
  of utilities with enhanced security functionality designed to add

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export INITDIR=/etc/init.d
export SYSTEMDDIR=/lib/systemd

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags. dpkg_buildflags is necessary because $(shell ..)
# doesn't use local environment variables.
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS)

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol1-dev")

%:
	dh $@ --with systemd

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_missing:
	dh_missing --list-missing

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"

## mcstrans 2.9

=== debian/changelog ===
mcstrans (2.9-2) unstable; urgency=medium

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Jul 2019 11:05:58 +0200

mcstrans (2.9-1) experimental; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/watch: Adjust the URL 
  * debian/control: Bump Standards-Version to 4.3.0 (no further changes) 
  * debian/mcstrans.install: Install manpages in Russian

 -- Laurent Bigonville <bigon@debian.org>  Mon, 18 Mar 2019 14:53:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 10),
                libcap-dev,
                libpcre3-dev,
-               libselinux1-dev (>= 2.8),
-               libsepol1-dev (>= 2.8),
+               libselinux1-dev (>= 2.9),
+               libsepol1-dev (>= 2.9),
 Homepage: http://userspace.selinuxproject.org/
 
 Package: mcstrans

## mcstrans 3.0

=== debian/changelog ===
mcstrans (3.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
    - debian/mcstrans.install: setrans.conf manpage has been moved to section 5
  * debian/copyright: Use https for the format uri, to please lintian
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 12, stop overriding dh_missing and stop
    calling the systemd sequence and add Pre-Depends: ${misc:Pre-Depends}

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Dec 2019 10:48:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 12),
                libcap-dev,
                libpcre3-dev,
-               libselinux1-dev (>= 2.9),
-               libsepol1-dev (>= 2.9),
+               libselinux1-dev (>= 3.0),
+               libsepol1-dev (>= 3.0),
 Homepage: http://userspace.selinuxproject.org/
 
 Package: mcstrans
 Architecture: linux-any
 Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Breaks: policycoreutils (<< 2.4)
 Replaces: policycoreutils (<< 2.4)
 Built-Using: ${Built-Using}

=== debian/rules ===
--- 
+++ 
@@ -19,13 +19,10 @@
 BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol1-dev")
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
 
-override_dh_missing:
-	dh_missing --list-missing
-
 override_dh_gencontrol:
 	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"

## mcstrans 3.1

=== debian/changelog ===
mcstrans (3.1-1) unstable; urgency=medium

  * New upstream version 3.1
    - debian/control: Bump build-dependencies to match the new release
  * debian/control: Set Rules-Requires-Root: no
  * Add debian/gitlab-ci.yml file
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 15 Jul 2020 09:23:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: debhelper (>= 12),
                libcap-dev,
                libpcre3-dev,
-               libselinux1-dev (>= 3.0),
-               libsepol1-dev (>= 3.0),
+               libselinux1-dev (>= 3.1),
+               libsepol1-dev (>= 3.1),
 Homepage: http://userspace.selinuxproject.org/
+Rules-Requires-Root: no
 
 Package: mcstrans
 Architecture: linux-any

## mcstrans 3.3

=== debian/changelog ===
mcstrans (3.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christian Göttsche ]
  * d/gitlab-ci.yml: Use Debian recipe
  * d/control: Bum debhelper compat to level 13
  * d/control: Bump Standards-Version to 4.5.1 (no further changes)
  * d/control: Update homepage
  * d/rules: Enable -Wall -Wextra
  * d/control: Convert cute fields

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + mcstrans: Drop versioned constraint on policycoreutils in Replaces.
    + mcstrans: Drop versioned constraint on policycoreutils in Breaks.

  [ Laurent Bigonville ]
  * debian/watch: Update the URL to follow the new tagging format
  * New upstream version 3.3
    - debian/control: Bump build-dependencies to match the new release
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Nov 2021 12:35:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,24 @@
 Source: mcstrans
-VCS-Git: https://salsa.debian.org/selinux-team/mcstrans.git
-VCS-Browser: https://salsa.debian.org/selinux-team/mcstrans
+Vcs-Git: https://salsa.debian.org/selinux-team/mcstrans.git
+Vcs-Browser: https://salsa.debian.org/selinux-team/mcstrans
 Priority: optional
 Section: utils
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 12),
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13),
                libcap-dev,
                libpcre3-dev,
-               libselinux1-dev (>= 3.1),
-               libsepol1-dev (>= 3.1),
-Homepage: http://userspace.selinuxproject.org/
+               libselinux1-dev (>= 3.3),
+               libsepol-dev (>= 3.3),
+Homepage: https://selinuxproject.org
 Rules-Requires-Root: no
 
 Package: mcstrans
 Architecture: linux-any
 Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: policycoreutils (<< 2.4)
-Replaces: policycoreutils (<< 2.4)
 Built-Using: ${Built-Using}
 Description: SELinux core policy utilities (mcstrans utilities)
  Security-enhanced Linux is a patch of the Linux® kernel and a number

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,12 @@
 
 # The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
 # missing (hardening) flags. dpkg_buildflags is necessary because $(shell ..)
-# doesn't use local environment variables.
+# doesn't use local environment variables. Also enable Wall and Wextra to spot
+# basic irregularities.
 dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
-export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS)
+export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS) -Wall -Wextra
 
-BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol1-dev")
+BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol-dev")
 
 %:
 	dh $@

## mcstrans 3.4

=== debian/changelog ===
mcstrans (3.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + mcstrans: Drop versioned constraint on lsb-base in Depends.

  [ Laurent Bigonville ]
  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
    - debian/control: Switch to libpcre2 (Closes: #1000055)
  * Enable GPG key validation of the upstream tarball

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jun 2022 14:26:27 +0200

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,16 @@
 Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                libcap-dev,
-               libpcre3-dev,
-               libselinux1-dev (>= 3.3),
-               libsepol-dev (>= 3.3),
+               libpcre2-dev,
+               libselinux1-dev (>= 3.4),
+               libsepol-dev (>= 3.4),
+               pkg-config,
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no
 
 Package: mcstrans
 Architecture: linux-any
-Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
+Depends: lsb-base, selinux-utils, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Built-Using: ${Built-Using}
 Description: SELinux core policy utilities (mcstrans utilities)

## mcstrans 3.5

=== debian/changelog ===
mcstrans (3.5-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
  * debian/upstream/signing-key.asc: Add public key of Jason Zaman
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)
  * debian/control: Drop lsb-base from the dependencies, to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Mon, 10 Jul 2023 21:05:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                libcap-dev,
                libpcre2-dev,
-               libselinux1-dev (>= 3.4),
-               libsepol-dev (>= 3.4),
+               libselinux1-dev (>= 3.5),
+               libsepol-dev (>= 3.5),
                pkg-config,
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no
 
 Package: mcstrans
 Architecture: linux-any
-Depends: lsb-base, selinux-utils, ${misc:Depends}, ${shlibs:Depends}
+Depends: selinux-utils, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Built-Using: ${Built-Using}
 Description: SELinux core policy utilities (mcstrans utilities)

## mcstrans 3.7

=== debian/changelog ===
mcstrans (3.7-2) unstable; urgency=medium

  * Added back changes from 3.5-1.1 NMU Closes: #1073719

 -- Russell Coker <russell@coker.com.au>  Sun, 01 Sep 2024 17:07:14 +1000

mcstrans (3.7-1) unstable; urgency=medium

  * New upstream release
  * Added new upstream signing key
  * Removed config for Russian man pages

 -- Russell Coker <russell@coker.com.au>  Fri, 30 Aug 2024 13:24:02 +1000

mcstrans (3.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move aliased files from / to /usr (Closes: #1073719)
  * Replace Build-Depends on obsolete pkg-config with pkgconf

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Aug 2024 10:44:17 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
 Build-Depends: debhelper-compat (= 13),
                libcap-dev,
                libpcre2-dev,
-               libselinux1-dev (>= 3.5),
-               libsepol-dev (>= 3.5),
-               pkg-config,
-Homepage: https://selinuxproject.org
+               libselinux1-dev (>= 3.7),
+               libsepol-dev (>= 3.7),
+               pkgconf,
+Homepage: https://github.com/SELinuxProject
 Rules-Requires-Root: no
 
 Package: mcstrans

## mcstrans 3.8

=== debian/changelog ===
mcstrans (3.8-1) unstable; urgency=medium

  * New upstream release that just changes the version number

 -- Russell Coker <russell@coker.com.au>  Thu, 06 Feb 2025 23:06:51 +1100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Build-Depends: debhelper-compat (= 13),
                libcap-dev,
                libpcre2-dev,
-               libselinux1-dev (>= 3.7),
-               libsepol-dev (>= 3.7),
+               libselinux1-dev (>= 3.8),
+               libsepol-dev (>= 3.8),
                pkgconf,
 Homepage: https://github.com/SELinuxProject
 Rules-Requires-Root: no

## mcstrans 3.8.1

=== utils/Makefile ===
# Installation directories.
PREFIX ?= /usr
SBINDIR ?= $(PREFIX)/sbin

TARGETS=transcon untranscon

# If no specific libsepol.a is specified, fall back on LDFLAGS search path
# Otherwise, as $(LIBSEPOLA) already appears in the dependencies, there
# is no need to define a value for LDLIBS_LIBSEPOLA
ifeq ($(LIBSEPOLA),)
        LDLIBS_LIBSEPOLA := -l:libsepol.a
endif

all: $(TARGETS)

transcon: transcon.o ../src/mcstrans.o ../src/mls_level.o $(LIBSEPOLA)
	$(CC) $(LDFLAGS) -o $@ $^ $(PCRE_LDLIBS) -lselinux $(LDLIBS_LIBSEPOLA)

untranscon: untranscon.o ../src/mcstrans.o ../src/mls_level.o $(LIBSEPOLA)
	$(CC) $(LDFLAGS) -o $@ $^ $(PCRE_LDLIBS) -lselinux $(LDLIBS_LIBSEPOLA)

%.o:  %.c 
	$(CC) $(CPPFLAGS) $(CFLAGS) $(PCRE_CFLAGS) -D_GNU_SOURCE -I../src -fPIE -c -o $@ $<

install: all
	-mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 755 $(TARGETS) $(DESTDIR)$(SBINDIR)

test:
	./mlstrans-test-runner.py ../test/*.test

clean:
	rm -f $(TARGETS) *.o *~ \#*

relabel:

=== debian/changelog ===
mcstrans (3.8.1-1) unstable; urgency=medium

  * New upstream release that just changes the version number

 -- Russell Coker <russell@coker.com.au>  Sun, 16 Mar 2025 19:37:07 +1100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Build-Depends: debhelper-compat (= 13),
                libcap-dev,
                libpcre2-dev,
-               libselinux1-dev (>= 3.8),
-               libsepol-dev (>= 3.8),
+               libselinux1-dev (>= 3.8.1),
+               libsepol-dev (>= 3.8.1),
                pkgconf,
 Homepage: https://github.com/SELinuxProject
 Rules-Requires-Root: no

## mcstrans 3.9

=== man/Makefile ===
# Installation directories.
LINGUAS ?=
PREFIX ?= /usr
MANDIR ?=  $(PREFIX)/share/man
MAN5SUBDIR ?= man5
MAN5DIR ?= $(MANDIR)/$(MAN5SUBDIR)
MAN8SUBDIR ?= man8
MAN8DIR ?= $(MANDIR)/$(MAN8SUBDIR)

all:

install: all
	mkdir -p $(DESTDIR)$(MAN5DIR)
	mkdir -p $(DESTDIR)$(MAN8DIR)
	install -m 644 man5/*.5 $(DESTDIR)$(MAN5DIR)
	install -m 644 man8/*.8 $(DESTDIR)$(MAN8DIR)
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang}/man5 ] ; then \
			mkdir -p $(DESTDIR)$(MANDIR)/$${lang}/$(MAN5SUBDIR) ; \
			install -m 644 $${lang}/man5/*.5 $(DESTDIR)$(MANDIR)/$${lang}/$(MAN5SUBDIR) ; \
		fi ; \
		if [ -e $${lang}/man8 ] ; then \
			mkdir -p $(DESTDIR)$(MANDIR)/$${lang}/$(MAN8SUBDIR) ; \
			install -m 644 $${lang}/man8/*.8 $(DESTDIR)$(MANDIR)/$${lang}/$(MAN8SUBDIR) ; \
		fi ; \
	done

clean:
	-rm -f *~ \#*
	-rm -f man5/*~ man5/\#*
	-rm -f man8/*~ man8/\#*

=== src/Makefile ===
# Installation directories.
PREFIX ?= /usr
SBINDIR ?= /sbin
INITDIR ?= /etc/rc.d/init.d
SYSTEMDDIR ?= $(PREFIX)/lib/systemd

# If no specific libsepol.a is specified, fall back on LDFLAGS search path
# Otherwise, as $(LIBSEPOLA) already appears in the dependencies, there
# is no need to define a value for LDLIBS_LIBSEPOLA
ifeq ($(LIBSEPOLA),)
        LDLIBS_LIBSEPOLA := -l:libsepol.a
endif

PROG_SRC=mcstrans.c  mcscolor.c  mcstransd.c  mls_level.c
PROG_OBJS= $(patsubst %.c,%.o,$(PROG_SRC))
PROG=mcstransd
INITSCRIPT=mcstrans
CFLAGS ?= -Wall -W -Wundef -Wmissing-noreturn -Wmissing-format-attribute
override CFLAGS += -I../../libselinux/include
override LDFLAGS+= -L../../libselinux/src

all: $(PROG)

$(PROG): $(PROG_OBJS) $(LIBSEPOLA)
	$(CC) $(LDFLAGS) -pie -o $@ $^ -lselinux -lcap $(PCRE_LDLIBS) $(LDLIBS_LIBSEPOLA)

%.o:  %.c 
	$(CC) $(CPPFLAGS) $(CFLAGS) $(PCRE_CFLAGS) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -fPIE -c -o $@ $<

install: all
	test -d $(DESTDIR)$(SBINDIR) || install -m 755 -d $(DESTDIR)$(SBINDIR)
	install -m 755 $(PROG) $(DESTDIR)$(SBINDIR)
	test -d $(DESTDIR)$(INITDIR) || install -m 755 -d $(DESTDIR)$(INITDIR)
	install -m 755 $(INITSCRIPT).init $(DESTDIR)$(INITDIR)/$(INITSCRIPT)
	test -d $(DESTDIR)$(SYSTEMDDIR)/system || install -m 755 -d $(DESTDIR)$(SYSTEMDDIR)/system
	install -m 644 mcstrans.service $(DESTDIR)$(SYSTEMDDIR)/system/

clean: 
	-rm -f $(OBJS) $(LOBJS) $(TARGET) $(PROG) $(PROG_OBJS) *~ \#*

=== utils/Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 # Installation directories.
 PREFIX ?= /usr
 SBINDIR ?= $(PREFIX)/sbin
+
+override CFLAGS += -I../../libselinux/include
+override LDFLAGS+= -L../../libselinux/src
 
 TARGETS=transcon untranscon

=== debian/changelog ===
mcstrans (3.9-1) unstable; urgency=medium

  * New upstream release
  * Fixed copyright file for lintian

 -- Russell Coker <russell@coker.com.au>  Sun, 19 Oct 2025 00:10:23 +1100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Build-Depends: debhelper-compat (= 13),
                libcap-dev,
                libpcre2-dev,
-               libselinux1-dev (>= 3.8.1),
-               libsepol-dev (>= 3.8.1),
+               libselinux1-dev (>= 3.9),
+               libsepol-dev (>= 3.9),
                pkgconf,
 Homepage: https://github.com/SELinuxProject
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export INITDIR=/etc/init.d
-export SYSTEMDDIR=/lib/systemd
+export SYSTEMDDIR=/usr/lib/systemd
+export SBINDIR=/usr/sbin
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
